# Generated from win32-process-0.9.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name win32-process

Name: rubygem-%{gem_name}
Version: 0.9.0
Release: 1%{?dist}
Summary: Adds and redefines several Process methods for Microsoft Windows
License: Artistic-2.0
URL: https://github.com/chef/win32-process
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby > 1.9.0
BuildArch: noarch

%description
The win32-process library implements several Process methods that are
either unimplemented or dysfunctional in some way in the default Ruby
implementation. Examples include Process.kill, Process.uid and
Process.create.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/test
%{gem_instdir}/win32-process.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.9.0-1
- Initial package
